Subject: bug#33665: 27.0.50; Variables not set up in Gnus when hooks are run

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 07 Dec 2018 09:52:03 -0800

Eric Abrahamsen <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> It looks like gnus-newsgroup-name (and friends?) are no longer set when
>> the summary mode hooks are run, so hooks that rely on that are now
>> broken.
>
> Yes, since `gnus-summary-mode' is now a real mode, it clears local
> variables before running the hook. The right place for that sort of hook
> is now `gnus-summary-prepared-hook'. I tried to change all the relevant
> hooks I could within the codebase, but I guess gnus-mdrtn.el isn't
> publicly available? I can change the Moderation section of the manual to
> update the installation instructions.
>
>> It also looks like summary mode line highlights no longer works.
>
> I'll take a look now.

Hang on, I'm not sure what you mean here. You don't mean the
read/unread/ticked/etc face properties on individual articles lines in
the Summary buffer, do you? I'm not sure what highlighting happens in
the Summary mode line.